Skip to main content
GET
/
earn
/
providers
TypeScript
const response: Promise<FireblocksResponse<GetProvidersResponse>> = fireblocks.earnBeta.getEarnProviders(earnBetaApiGetEarnProvidersRequest);
CompletableFuture<ApiResponse<GetProvidersResponse>> response = fireblocks.earnBeta().getEarnProviders(pageCursor, pageSize, sortBy, order);
response = fireblocks.earn_beta.get_earn_providers(page_cursor, page_size, sort_by, order);
curl --request GET \
--url https://api.fireblocks.io/v1/earn/providers
const options = {method: 'GET'};

fetch('https://api.fireblocks.io/v1/earn/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "providerId": "MORPHO",
      "displayName": "Morpho",
      "logoUrl": "https://cdn.example.com/morpho.svg",
      "supportedChainIds": [
        1,
        8453
      ],
      "isTermsApprovalRequired": true,
      "termsOfServiceUrl": "https://example.com/morpho/tos",
      "isTermsOfServiceApproved": false
    }
  ],
  "total": 1,
  "next": "",
  "prev": ""
}
{
"message": "<string>",
"code": 123
}
{
"message": "<string>",
"code": 123
}
{
"message": "<string>",
"code": 123
}
{
"message": "<string>",
"code": 123
}
{
"message": "<string>",
"code": 123
}

Query Parameters

pageCursor
string

Cursor for the next or previous page of results.

pageSize
integer<int32>
default:100

Number of items per page.

Required range: 1 <= x <= 100
sortBy
string

Field to sort results by.

order
enum<string>
default:DESC

Sort order (ASC or DESC).

Available options:
ASC,
DESC
Example:

"ASC"

Response

OK

data
object[]
required

Page of integrated lending providers.

Example:
[
{
"providerId": "MORPHO",
"displayName": "Morpho",
"logoUrl": "https://cdn.example.com/morpho.svg",
"supportedChainIds": [1, 8453],
"isTermsApprovalRequired": true,
"termsOfServiceUrl": "https://example.com/morpho/tos",
"isTermsOfServiceApproved": false
}
]
total
integer<int32>
required

Total number of items matching the query.

Example:

1

next
string

Opaque cursor for the next page; empty when there is no next page.

Example:

""

prev
string

Opaque cursor for the previous page; empty when there is no previous page.

Example:

""